tigase.jaxmpp.core.client.xmpp.modules.auth.scram

## Class ScramSHA256PlusMechanism

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism
  - - tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.scram.ScramPlusMechanism
      - - tigase.jaxmpp.core.client.xmpp.modules.auth.scram.ScramSHA256PlusMechanism

- All Implemented Interfaces:
    SaslMechanism

      public class ScramSHA256PlusMechanism
      extends ScramPlusMechanism

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram

      `AbstractScram.BindType`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram

      `UTF_CHARSET`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism

      `SASL_COMPLETE_KEY`

    - ### Fields inherited from interface tigase.jaxmpp.core.client.xmpp.modules.auth.SaslMechanism

      `FORCE_AUTHZID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScramSHA256PlusMechanism()`

  - ### Method Summary

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.ScramPlusMechanism

      `getBindData, getBindType, isAllowedToUse`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.scram.AbstractScram

      `evaluateChallenge, getData, h, hi, hmac, key, name, normalize, randomString, xor`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.auth.saslmechanisms.AbstractSaslMechanism

      `isComplete, setComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScramSHA256PlusMechanism

          public ScramSHA256PlusMechanism()

Copyright © 2006–2020 Tigase. All rights reserved.